> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# モデルを作成

> 新しいモデルを作成します。



## OpenAPI

````yaml /ja/serverless-training/api-reference/openapi.json post /v1/preview/models
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/models:
    post:
      tags:
        - models
      summary: モデルを作成
      description: 新しいモデルを作成します。
      operationId: create_model_v1_preview_models_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelCreate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelResponse'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBearer: []
components:
  schemas:
    ModelCreate:
      description: 新しいモデルを作成するためのスキーマ。
      properties:
        base_model:
          description: ファインチューニング元のベースモデル識別子、または HuggingFace モデルパス
          examples:
            - OpenPipe/Qwen3-14B-Instruct
          title: Base Model
          type: string
        entity:
          anyOf:
            - type: string
            - type: 'null'
          description: 使用している W&B APIキー に対応する開発者の Teams またはユーザー名
          examples:
            - my-team
          title: Entity
        name:
          description: プロジェクト内でモデルを一意に識別する名
          examples:
            - my-awesome-model
          title: Name
          type: string
        project:
          description: モデルの保存先となる W&B のプロジェクト名
          examples:
            - my-awesome-project
          title: Project
          type: string
        return_existing:
          default: false
          description: true の場合、同じ名のモデルがすでに存在していれば、新規作成する代わりに既存のモデルを返します
          title: Return Existing
          type: boolean
      required:
        - project
        - name
        - base_model
      title: ModelCreate
      type: object
    ModelResponse:
      description: モデルレスポンスのスキーマ。
      properties:
        base_model:
          title: Base Model
          type: string
        entity:
          title: Entity
          type: string
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        project:
          title: Project
          type: string
        run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Id
      required:
        - id
        - entity
        - project
        - name
        - base_model
      title: ModelResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````